CentOS 5 / 6:gnutls (CESA-2013:0588)

medium Nessus Plugin ID 65032

Synopsis

遠端 CentOS 主機缺少一個或多個安全性更新。

描述

現已提供適用於 Red Hat Enterprise Linux 5 和 6 的更新版 gnutls 套件,可修正一個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有中等安全性影響。可從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

GnuTLS 程式庫提供對於加密演算法及諸如傳輸層安全性 (TLS) 等通訊協定的支援。

據發現,使用 CBC 模式的加密套件時,如果為 TLS/SSL 通訊協定加密的記錄解密,則 GnuTLS 會洩漏計時資訊。遠端攻擊者可能利用此瑕疵,將 TLS/SSL 伺服器作為 Padding Oracle 使用,進而擷取來自加密封包的純文字。(CVE-2013-1619)

建議 GnuTLS 使用者升級至這些更新版套件,其中包含可更正此問題的反向移植修補程式。若要使更新生效,連結到 GnuTLS 程式庫的所有應用程式都必須重新啟動,或系統必須重新開機。

解決方案

更新受影響的 gnutls 套件。

另請參閱

http://www.nessus.org/u?ff89aea6

http://www.nessus.org/u?57a43881

http://www.nessus.org/u?e91c52b7

Plugin 詳細資訊

嚴重性: Medium

ID: 65032

檔案名稱: centos_RHSA-2013-0588.nasl

版本: 1.14

類型: local

代理程式: unix

已發布: 2013/3/6

已更新: 2021/1/4

支持的傳感器: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure

風險資訊

CVSS 評分資料來源: CVE-2013-1619

VPR

風險因素: Medium

分數: 4.2

CVSS v2

風險因素: Medium

基本分數: 4

時間分數: 3

媒介: AV:N/AC:H/Au:N/C:P/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:centos:centos:gnutls, p-cpe:/a:centos:centos:gnutls-devel, p-cpe:/a:centos:centos:gnutls-guile, p-cpe:/a:centos:centos:gnutls-utils, cpe:/o:centos:centos:5, cpe:/o:centos:centos:6

必要的 KB 項目: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2013/3/8

弱點發布日期: 2013/2/8

參考資訊

CVE: CVE-2013-1619

BID: 57736, 57778

RHSA: 2013:0588